I just found that one of the question of COMB2018 https://www.codechef.com/COMB2018/problems/COMB7 is copied directly from a HackerEarth past contest https://www.hackerearth.com/practice/algorithms/stringalgorithm/basicsofstringmanipulation/practiceproblems/algorithm/swappinggame6/ . Those who haven't even submitted simple digit DP problem have also submitted this. Cheers to ABVIIITM Gwalior for selecting participants for onsite for a prize money of 75k on the basis of this ranklist. Please consider the rank list removing the above mentioned question copied from other platform since their solutions are easily available. asked 16 Jan, 02:03

I cannot find the relevant post, hence writing here.. Will editorials be posted of COMB2018 ? If yes,when? If no, can someone please tell how to solve the last three problems ? answered 16 Jan, 20:35
Above mentioned question is totally based on implementation and observation.If you perform the operations given in question there will not be more than L(i.e. length of string) different strings.Basic Idea is compute all possible string of given string by performing given operation until strings start repeating and store it somewhere, you can do this operation in O(L*L).Now take modulo of K(i.e. total operation) with total possible strings suppose it is N then your answer will be Nth string from last because you have to do reverse operation.You can check for code herehttps://ideone.com/BUYw8x
(17 Jan, 03:50)
You can solve COMB6 using digit dp(linkhttps://www.geeksforgeeks.org/digitdpintroduction/) you can look for implementation herehttps://www.codechef.com/viewsolution/22502515
(17 Jan, 04:07)

Thanks for reporting this. We are looking into it and will take necessary actions.